//
//  Laser.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "Laser.h"

@implementation Laser

- (id)initWithTeam:(int)team layer:(HelloWorldLayer *)layer {
    NSString * spriteFrameName = [NSString stringWithFormat:@"laser%d.png", team];
    if ((self = [super initWithSpriteFrameName:spriteFrameName layer:layer])) {
        self.team = team;
        self.isMelee = YES;
        self.meleeDamage = 5;
        self.meleeDestroySelf = YES;
        self.meleeDamageRate = 1.0;
        self.meleeAoe = NO;
        self.meleeSound = @"smallHit.wav";
    }
    return self;
}

@end
