//
//  ZapMonster.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "ZapMonster.h"

@implementation ZapMonster

- (id)initWithTeam:(int)team layer:(HelloWorldLayer *)layer {
    NSString * spriteFrameName = [NSString stringWithFormat:@"zap%d.png", team];
    if ((self = [super initWithSpriteFrameName:spriteFrameName layer:layer])) {
        self.curHp = 10;
        self.maxHp = 10;
        self.team = team;
        self.maxVelocity = 50;
        self.maxAcceleration = 50;
        self.isRanged = YES;
        self.rangedRange = 100;
        self.rangedDamageRate = 1.5;
        self.rangedDamage = 5;
        self.rangedSound = @"pew.wav";
    }
    return self;
}

@end
