//
//  HumanPlayer.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "HumanPlayer.h"

@implementation HumanPlayer

- (id)initWithLayer:(HelloWorldLayer *)layer {
    if ((self = [super initWithSpriteFrameName:@"castle1_def.png" layer:layer])) {
        self.team = 1;
    }
    return self;
}

- (void)setAttacking:(BOOL)attacking {
    [super setAttacking:attacking];
    if (attacking) {
        [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"castle1_atk.png"]];
    } else {
        [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"castle1_def.png"]];
    }
}

@end
