//
//  GameObject.h
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "cocos2d.h"

@class HelloWorldLayer;

@interface GameObject : CCSprite

- (id)initWithSpriteFrameName:(NSString *)spriteFrameName layer:(HelloWorldLayer *)layer;

@property (assign) float curHp;
@property (assign) float maxHp;
@property (assign) BOOL alive;

@property (assign) int team;
@property (assign) BOOL attacking;

@property (strong) HelloWorldLayer * layer;

@end
