//
//  QuirkMonster.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "QuirkMonster.h"

@implementation QuirkMonster

- (id)initWithTeam:(int)team layer:(HelloWorldLayer *)layer {
    NSString * spriteFrameName = [NSString stringWithFormat:@"quirk%d.png", team];
    if ((self = [super initWithSpriteFrameName:spriteFrameName layer:layer])) {
        self.curHp = 5;
        self.maxHp = 5;
        self.team = team;
        self.maxVelocity = 100;
        self.maxAcceleration = 100;
        self.isMelee = YES;
        self.meleeDamage = 1.25;
        self.meleeDestroySelf = NO;
        self.meleeDamageRate = 0.5;
        self.meleeAoe = NO;
        self.meleeSound = @"smallHit.wav";
    }
    return self;
}

@end
