//
//  AIPlayer.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "AIPlayer.h"
#import "HelloWorldLayer.h"

@implementation AIPlayer 

- (id)initWithLayer:(HelloWorldLayer *)layer {
    if ((self = [super initWithSpriteFrameName:@"castle2_def.png" layer:layer])) {
        self.team = 2;
    }
    return self;
}

- (void)setAttacking:(BOOL)attacking {
    [super setAttacking:attacking];
    if (attacking) {
        [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"castle2_atk.png"]];
    } else {
        [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"castle2_def.png"]];
    }
}

- (void)update:(ccTime)delta {    
    [super update:delta];
}

@end
